# operator==,!=(std::bitset)

From cppreference.com
< cpp‎ | utility‎ | bitset

bool operator==( const bitset<N>& rhs ) const; | (1) |
bool operator!=( const bitset<N>& rhs ) const; | (2) |

1) Returns true if all of the bits in `*this` and `rhs` are equal.

2) Returns true if any of the bits in `*this` and `rhs` are not equal.

### Parameters

rhs | - | bitset to compare

### Return value

1) true if the value of each bit in `*this` equals the value of the corresponding bit in `rhs`, otherwise false

2) true if `!(*this == rhs)`, otherwise false

### Example

Compare two bitsets to determine if they are identical:

Run this code

    #include <iostream>
    #include <bitset>

    int main()
    {
        std::bitset<4> b1(3); // [0,0,1,1]
        std::bitset<4> b2(b1);
        std::bitset<4> b3(4); // [0,1,0,0]

        std::cout << "b1 == b2: " << (b1 == b2) << '\n';
        std::cout << "b1 == b3: " << (b1 == b3) << '\n';
        std::cout << "b1 != b3: " << (b1 != b3) << '\n';
    }

Output:

    b1 == b2: 1
    b1 == b3: 0
    b1 != b3: 1

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/bitset/operator_cmp&oldid=67939"